<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Цвет ника';
include_once '../sys/inc/thead.php';
title();

err();

if (isset($user) & $user['balls']<=501)
{
echo "<div class='anput1'><u>Данная опция для Вас недоступна!</u><br/>У Вас слишком мало монет чтобы попасть в меню настроек изменения цвета ника!<br/>Необходимо иметь минимум <b>500</b> монет<br/>
У Bас <img src='/style/img/coins.gif' alt='' class='icon'/> <b>$user[balls]</b> монет</div>\n";
}
else
{
if(isset($_POST['ncolor'])&& strlen2(mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['ncolor'])))))<=10)
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-500)."' WHERE `id` = '$user[id]' LIMIT 1");
$user['ncolor']=mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['ncolor']))));
mysql_query("UPDATE `user` SET `ncolor` = '".$_POST['ncolor']."' WHERE `id` = '$user[id]' LIMIT 1");
$color = $_POST['ncolor'];
$q = mysql_query("SELECT * FROM `fanat` WHERE `user` = '$user[id]' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_lenta="Изменил цвет своего ника";

mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')"); 
}
if (!isset($err))msg('Операция прошла успешно! - 500 монет');
}


if(!empty($ncolor))
{
echo "Текущий цвет <font color='".$ncolor."'><u>".$ncolor."</u></font><br/>\n";
}
echo "<div class='anput2'>Стоимость окраски ника <b>500</b> монет </div>\n";
echo '<div class="menu">';
echo "Выберите цвет:<br/>\n";
echo "<form action=\"ncolor.php?".SID."\" method=\"post\">\n";
echo '<select name="ncolor">
<option value="red" style="background-color: red; color: white;">красный</option>
<option value="brown" style="background-color: brown; color: white;">коричневый</option>
<option value="pink" style="background-color: pink; color: white;">Светло-розовый</option>
<option value="#f509fe" style="background-color: #f509fe; color: white;">розовый</option>
<option value="green" style="background-color: green; color: white;">зеленый</option>
<option value="lightgreen" style="background-color: lightgreen; color: white;">светло-зеленый</option>
<option value="#669999" style="background-color: #669999; color: white;">морской волны</option>
<option value="#471b23" style="background-color: #471b23; color: white;">Бурый</option>
<option value="#65a442" style="background-color: #65a442; color: white;">Болотный</option>
<option value="blue" style="background-color: blue; color: white;">синий</option>
<option value="#12177a" style="background-color: #12177a; color: white;">темно-синий</option>
<option value="deepskyblue" style="background-color: deepskyblue; color: white;">небесно-голубой</option>
<option value="blueviolet" style="background-color: blueviolet; color: white;">фиолетовый</option>
<option value="yellow" style="background-color: yellow; color: black;">желтый</option>
<option selected="selected" value="orange" style="background-color: orange; color: black;">оранжевый</option>
<option value="goldenrod" style="background-color: goldenrod; color: black;">золотой</option>
<option value="gray" style="background-color: gray; color: black;">темно-серый</option>
<option value="#CCCCCC" style="background-color: #CCCCCC; color: black;">светло-серый</option>
</select><br/>';
echo "<input type=\"submit\" value=\"Сохранить\" /></form>\n";
echo '</div>';
}

 echo '<div class="foot">';

     echo " <a href='/umenu.php'>Меню</a>";
      echo "</div>\n";

include_once '../sys/inc/tfoot.php';
?>